Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

roleId
string
required

The ID of the role

Query Parameters

domain
string

The domain

securityCode
string

The security code

Body

application/json
aclEntries
object[]

The list of user/group/field members of the role

description
string

The description of the role

id
string

The ID of the role (read-only field)

kind
string
name
string

The name of the role

name_i18n
string

The internationalized name of the role (read-only field)

privileges
object

The list of privileges belonging to predefined role types (read-only field)

type
enum<string>

The type of role in the library: LIBRARY (administrators, contributors, readers), DOCUMENT (document creator, version creator), CUSTOM for any role created manually (including predefined roles) (read-only field)

Available options:
LIBRARY,
DOCUMENT,
PREDEFINED,
CUSTOM

Response

200 - application/json

A ApiDomainRole response

aclEntries
object[]

The list of user/group/field members of the role

description
string

The description of the role

id
string

The ID of the role (read-only field)

kind
string
name
string

The name of the role

name_i18n
string

The internationalized name of the role (read-only field)

privileges
object

The list of privileges belonging to predefined role types (read-only field)

type
enum<string>

The type of role in the library: LIBRARY (administrators, contributors, readers), DOCUMENT (document creator, version creator), CUSTOM for any role created manually (including predefined roles) (read-only field)

Available options:
LIBRARY,
DOCUMENT,
PREDEFINED,
CUSTOM